<?xml version="1.0" encoding="UTF-8"?><?xml-stylesheet type='text/xsl' href='_UpgradeReport_Files/UpgradeReport.xslt'?><UpgradeLog>
<Properties><Property Name="Solution" Value="Holograph Emulator">
</Property><Property Name="Solution File" Value="C:\Users\user\Documents\test emu\Holograph Emulator.sln">
</Property><Property Name="User Options File" Value="C:\Users\user\Documents\test emu\Holograph Emulator.suo">
</Property><Property Name="Date" Value="11 August 2010">
</Property><Property Name="Time" Value="23:54">
</Property></Properties><Event ErrorLevel="0" Project="" Source="Holograph Emulator.sln" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Holograph Emulator.sln">
</Event><Event ErrorLevel="0" Project="" Source="Holograph Emulator.suo" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Holograph Emulator.suo">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Holograph Emulator.csproj" Description="Project file successfully backed up as C:\Users\user\Documents\test emu\Backup\Holograph Emulator.csproj">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Holograph Emulator.csproj.user" Description="Project user file successfully backed up as C:\Users\user\Documents\test emu\Backup\Holograph Emulator.csproj.user">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Properties\Resources.Designer.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Properties\Resources.Designer.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\DB\Database.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\DB\Database.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\DB\DatabaseClient.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\DB\DatabaseClient.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\DB\DatabaseException.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\DB\DatabaseException.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\DB\DatabaseManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\DB\DatabaseManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\DB\DatabaseServer.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\DB\DatabaseServer.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\DB\IDataObject.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\DB\IDataObject.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\catalogueManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\catalogueManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\eventManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\eventManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\navigatorManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\navigatorManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\rankManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\rankManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\recyclerManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\recyclerManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\roomManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\roomManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\soundMachineManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\soundMachineManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\staffManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\staffManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\stringManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\stringManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Managers\userManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Managers\userManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Bots\virtualBot.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Bots\virtualBot.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Games\Game.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Games\Game.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Games\gameLobby.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Games\gameLobby.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Games\gamePlayer.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Games\gamePlayer.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Items\floorItem.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Items\floorItem.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Pathfinding\Astar.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Pathfinding\Astar.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Pathfinding\Coord.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Pathfinding\Coord.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Pathfinding\dribbelaerPath.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Pathfinding\dribbelaerPath.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Pathfinding\gamePathfinder.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Pathfinding\gamePathfinder.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Pathfinding\Heap.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Pathfinding\Heap.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Pathfinding\mapNode.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Pathfinding\mapNode.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Pathfinding\Pathfinder.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Pathfinding\Pathfinder.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Pathfinding\PinocchioPathfinder.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Pathfinding\PinocchioPathfinder.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Pathfinding\Rotation.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Pathfinding\Rotation.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\Items\wallItem.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\Items\wallItem.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Rooms\virtualRoom.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Rooms\virtualRoom.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Socket servers\gameSocketServer.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Socket servers\gameSocketServer.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Socket servers\musSocketServer.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Socket servers\musSocketServer.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Core.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Core.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Properties\AssemblyInfo.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Properties\AssemblyInfo.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\DB.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\DB.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\JeaxEncoding.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\JeaxEncoding.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\IO.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\IO.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Console.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Console.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Config.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Config.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Users\Messenger\virtualBuddy.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Users\Messenger\virtualBuddy.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Users\Messenger\virtualMessenger.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Users\Messenger\virtualMessenger.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Users\virtualSongEditor.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Users\virtualSongEditor.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Users\virtualUser.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Users\virtualUser.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Users\virtualRoomUser.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Users\virtualRoomUser.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Source\Virtual\Users\virtualRoomUserStatusManager.cs" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Source\Virtual\Users\virtualRoomUserStatusManager.cs">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="app.ico" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\app.ico">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Properties\Resources.resx" Description="File successfully backed up as C:\Users\user\Documents\test emu\Backup\Properties\Resources.resx">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Holograph Emulator.csproj" Description="Project converted successfully">
</Event><Event ErrorLevel="3" Project="Holograph Emulator" Source="Holograph Emulator.csproj" Description="Converted">
</Event><Event ErrorLevel="0" Project="" Source="Holograph Emulator.sln" Description="Solution converted successfully">
</Event><Event ErrorLevel="3" Project="" Source="Holograph Emulator.sln" Description="Converted">
</Event><Event ErrorLevel="0" Project="Holograph Emulator" Source="Holograph Emulator.csproj" Description="Scan complete: Upgrade not required for project files.">
</Event></UpgradeLog>